/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.cid;


import cdac.medinfo.sdk.dcm30_04.templates.enums.EnumCodingSchemeDesignator;
import cdac.medinfo.sdk.dcm30_04.templates.enums.cm.EnumCM_Languages;
import cdac.medinfo.sdk.dcm30_04.templates.enums.cv.EnumCV_Languages;


/**
 * This class represents Languages - CID5000
 */
public class Languages_CID5000 
{
	
	/**
	 * The Code Value for template.
	 */
	private String strCodeValue = null;

	/**
	 * The Code Meaning for template.
	 */
	private String strCodeMeaning = null;

	/**
	 * The Coding Scheme Designator for template.
	 */
	private String strCodingSchemeDesignator;

	/**
	 * Instantiates a new Languages_CID5000 Template 
	 */
	public Languages_CID5000()
	{

	}

	/**
	 * Retrieves the value for Code Meaning.
	 * @return String value for Code Meaning.
	 */
	public String getCodeMeaning()
	{
		return strCodeMeaning;
	}

	/**
	 * Retrieves the value for Code Value.
	 * @return String value for Code Value.
	 */
	public String getCodeValue() 
	{
		return strCodeValue;
	}

	/**
	 * Retrieves the value for Coding Scheme Designator.
	 * @return String value for Coding Scheme Designator.
	 */
	public String getCodingSchemeDesignator() 
	{
		return strCodingSchemeDesignator;
	}

	/**
	 * Sets the Code Value according to Code Meaning.
	 * @param enumLanguages Object of EnumCM_Languages represents Code Meaning.
	 */
	private void setCodeValue(EnumCM_Languages enumLanguages)
	{
		switch(enumLanguages)
		{
		case AFRIKAANS: this.strCodeValue =EnumCV_Languages.AFRIKAANS_af.getValue(); break;
		case AFRIKAANS__SOUTH_AFRICA: this.strCodeValue =EnumCV_Languages.AFRIKAANS__SOUTH_AFRICA_af_ZA.getValue(); break;
		case ARABIC: this.strCodeValue =EnumCV_Languages.ARABIC_ar.getValue(); break;
		case ARABIC__UNITED_ARAB_EMIRATES: this.strCodeValue =EnumCV_Languages.ARABIC__UNITED_ARAB_EMIRATES_ar_AE.getValue(); break;
		case ARABIC__BAHRAIN: this.strCodeValue =EnumCV_Languages.ARABIC__BAHRAIN_ar_BH.getValue(); break;
		case ARABIC__ALGERIA: this.strCodeValue =EnumCV_Languages.ARABIC__ALGERIA_ar_DZ.getValue(); break;
		case ARABIC__EGYPT: this.strCodeValue =EnumCV_Languages.ARABIC__EGYPT_ar_EG.getValue(); break;
		case ARABIC__IRAQ: this.strCodeValue =EnumCV_Languages.ARABIC__IRAQ_ar_IQ.getValue(); break;
		case ARABIC__JORDAN: this.strCodeValue =EnumCV_Languages.ARABIC__JORDAN_ar_JO.getValue(); break;
		case ARABIC__KUWAIT: this.strCodeValue =EnumCV_Languages.ARABIC__KUWAIT_ar_KW.getValue(); break;
		case ARABIC__LEBANON: this.strCodeValue =EnumCV_Languages.ARABIC__LEBANON_ar_LB.getValue(); break;
		case ARABIC__LIBYA: this.strCodeValue =EnumCV_Languages.ARABIC__LIBYA_ar_LY.getValue(); break;
		case ARABIC__MOROCCO: this.strCodeValue =EnumCV_Languages.ARABIC__MOROCCO_ar_MA.getValue(); break;
		case ARABIC__OMAN: this.strCodeValue =EnumCV_Languages.ARABIC__OMAN_ar_OM.getValue(); break;
		case ARABIC__QATAR: this.strCodeValue =EnumCV_Languages.ARABIC__QATAR_ar_QA.getValue(); break;
		case ARABIC__SAUDI_ARABIA: this.strCodeValue =EnumCV_Languages.ARABIC__SAUDI_ARABIA_ar_SA.getValue(); break;
		case ARABIC__SYRIA: this.strCodeValue =EnumCV_Languages.ARABIC__SYRIA_ar_SY.getValue(); break;
		case ARABIC__TUNISIA: this.strCodeValue =EnumCV_Languages.ARABIC__TUNISIA_ar_TN.getValue(); break;
		case ARABIC__YEMEN: this.strCodeValue =EnumCV_Languages.ARABIC__YEMEN_ar_YE.getValue(); break;
		case AZERI: this.strCodeValue =EnumCV_Languages.AZERI_az.getValue(); break;
		case CYRL_AZERI_CYRILLIC__AZERBAIJAN: this.strCodeValue =EnumCV_Languages.CYRL_AZERI_CYRILLIC__AZERBAIJAN_az_AZ.getValue(); break;
		case AZERI_LATIN__AZERBAIJAN: this.strCodeValue =EnumCV_Languages.AZERI_LATIN__AZERBAIJAN_az_AZ_Latn.getValue(); break;
		case BELARUSIAN: this.strCodeValue =EnumCV_Languages.BELARUSIAN_be.getValue(); break;
		case BELARUSIAN__BELARUS: this.strCodeValue =EnumCV_Languages.BELARUSIAN__BELARUS_be_BY.getValue(); break;
		case BULGARIAN: this.strCodeValue =EnumCV_Languages.BULGARIAN_bg.getValue(); break;
		case BULGARIAN__BULGARIA: this.strCodeValue =EnumCV_Languages.BULGARIAN__BULGARIA_bg_BG.getValue(); break;
		case CATALAN: this.strCodeValue =EnumCV_Languages.CATALAN_ca.getValue(); break;
		case CATALAN__CATALAN: this.strCodeValue =EnumCV_Languages.CATALAN__CATALAN_ca_ES.getValue(); break;
		case CZECH: this.strCodeValue =EnumCV_Languages.CZECH_cs.getValue(); break;
		case CZECH__CZECH_REPUBLIC: this.strCodeValue =EnumCV_Languages.CZECH__CZECH_REPUBLIC_cs_CZ.getValue(); break;
		case DANISH: this.strCodeValue =EnumCV_Languages.DANISH_da.getValue(); break;
		case DANISH__DENMARK: this.strCodeValue =EnumCV_Languages.DANISH__DENMARK_da_DK.getValue(); break;
		case GERMAN: this.strCodeValue =EnumCV_Languages.GERMAN_de.getValue(); break;
		case GERMAN__AUSTRIA: this.strCodeValue =EnumCV_Languages.GERMAN__AUSTRIA_de_AT.getValue(); break;
		case GERMAN__SWITZERLAND: this.strCodeValue =EnumCV_Languages.GERMAN__SWITZERLAND_de_CH.getValue(); break;
		case GERMAN__GERMANY: this.strCodeValue =EnumCV_Languages.GERMAN__GERMANY_de_DE.getValue(); break;
		case GERMAN__LIECHTENSTEIN: this.strCodeValue =EnumCV_Languages.GERMAN__LIECHTENSTEIN_de_LI.getValue(); break;
		case GERMAN__LUXEMBOURG: this.strCodeValue =EnumCV_Languages.GERMAN__LUXEMBOURG_de_LU.getValue(); break;
		case DHIVEHI: this.strCodeValue =EnumCV_Languages.DHIVEHI_div.getValue(); break;
		case DHIVEHI__MALDIVES: this.strCodeValue =EnumCV_Languages.DHIVEHI__MALDIVES_div_MV.getValue(); break;
		case GREEK: this.strCodeValue =EnumCV_Languages.GREEK_el.getValue(); break;
		case GREEK__GREECE: this.strCodeValue =EnumCV_Languages.GREEK__GREECE_el_GR.getValue(); break;
		case ENGLISH: this.strCodeValue =EnumCV_Languages.ENGLISH_en.getValue(); break;
		case ENGLISH__AUSTRALIA: this.strCodeValue =EnumCV_Languages.ENGLISH__AUSTRALIA_en_AU.getValue(); break;
		case ENGLISH__BELIZE: this.strCodeValue =EnumCV_Languages.ENGLISH__BELIZE_en_BZ.getValue(); break;
		case ENGLISH__CANADA: this.strCodeValue =EnumCV_Languages.ENGLISH__CANADA_en_CA.getValue(); break;
		case ENGLISH__CARIBBEAN: this.strCodeValue =EnumCV_Languages.ENGLISH__CARIBBEAN_en_CB.getValue(); break;
		case ENGLISH__UNITED_KINGDOM: this.strCodeValue =EnumCV_Languages.ENGLISH__UNITED_KINGDOM_en_GB.getValue(); break;
		case ENGLISH__IRELAND: this.strCodeValue =EnumCV_Languages.ENGLISH__IRELAND_en_IE.getValue(); break;
		case ENGLISH__JAMAICA: this.strCodeValue =EnumCV_Languages.ENGLISH__JAMAICA_en_JM.getValue(); break;
		case ENGLISH__NEW_ZEALAND: this.strCodeValue =EnumCV_Languages.ENGLISH__NEW_ZEALAND_en_NZ.getValue(); break;
		case ENGLISH__PHILIPPINES: this.strCodeValue =EnumCV_Languages.ENGLISH__PHILIPPINES_en_PH.getValue(); break;
		case ENGLISH__TRINIDAD_AND_TOBAGO: this.strCodeValue =EnumCV_Languages.ENGLISH__TRINIDAD_AND_TOBAGO_en_TT.getValue(); break;
		case ENGLISH__UNITED_STATES: this.strCodeValue =EnumCV_Languages.ENGLISH__UNITED_STATES_en_US.getValue(); break;
		case ENGLISH__SOUTH_AFRICA: this.strCodeValue =EnumCV_Languages.ENGLISH__SOUTH_AFRICA_en_ZA.getValue(); break;
		case ENGLISH__ZIMBABWE: this.strCodeValue =EnumCV_Languages.ENGLISH__ZIMBABWE_en_ZW.getValue(); break;
		case SPANISH: this.strCodeValue =EnumCV_Languages.SPANISH_es.getValue(); break;
		case SPANISH__ARGENTINA: this.strCodeValue =EnumCV_Languages.SPANISH__ARGENTINA_es_AR.getValue(); break;
		case SPANISH__BOLIVIA: this.strCodeValue =EnumCV_Languages.SPANISH__BOLIVIA_es_BO.getValue(); break;
		case SPANISH__CHILE: this.strCodeValue =EnumCV_Languages.SPANISH__CHILE_es_CLe.getValue(); break;
		case SPANISH__COLOMBIA: this.strCodeValue =EnumCV_Languages.SPANISH__COLOMBIA_es_CO.getValue(); break;
		case SPANISH__COSTA_RICA: this.strCodeValue =EnumCV_Languages.SPANISH__COSTA_RICA_es_CR.getValue(); break;
		case SPANISH__DOMINICAN_REPUBLIC: this.strCodeValue =EnumCV_Languages.SPANISH__DOMINICAN_REPUBLIC_es_DO.getValue(); break;
		case SPANISH__ECUADOR: this.strCodeValue =EnumCV_Languages.SPANISH__ECUADOR_es_EC.getValue(); break;
		case SPANISH__SPAIN: this.strCodeValue =EnumCV_Languages.SPANISH__SPAIN_es_ES.getValue(); break;
		case SPANISH__GUATEMALA: this.strCodeValue =EnumCV_Languages.SPANISH__GUATEMALA_es_GT.getValue(); break;
		case SPANISH__HONDURAS: this.strCodeValue =EnumCV_Languages.SPANISH__HONDURAS_es_HN.getValue(); break;
		case SPANISH__MEXICO: this.strCodeValue =EnumCV_Languages.SPANISH__MEXICO_es_MX.getValue(); break;
		case SPANISH__NICARAGUA: this.strCodeValue =EnumCV_Languages.SPANISH_NICARAGUA_es_NISpanish.getValue(); break;
		case SPANISH__PANAMA: this.strCodeValue =EnumCV_Languages.SPANISH__PANAMA_es_PA.getValue(); break;
		case SPANISH__PERU: this.strCodeValue =EnumCV_Languages.SPANISH__PERU_es_PE.getValue(); break;
		case SPANISH__PUERTO_RICO: this.strCodeValue =EnumCV_Languages.SPANISH__PUERTO_RICO_es_PR.getValue(); break;
		case SPANISH__PARAGUAY: this.strCodeValue =EnumCV_Languages.SPANISH__PARAGUAY_es_PY.getValue(); break;
		case SPANISH__EL_SALVADOR: this.strCodeValue =EnumCV_Languages.SPANISH__EL_SALVADOR_es_SV.getValue(); break;
		case SPANISH__URUGUAY: this.strCodeValue =EnumCV_Languages.SPANISH__URUGUAY_es_UY.getValue(); break;
		case SPANISH__VENEZUELA: this.strCodeValue =EnumCV_Languages.SPANISH__VENEZUELA_es_VE.getValue(); break;
		case ESTONIAN: this.strCodeValue =EnumCV_Languages.ESTONIAN_et.getValue(); break;
		case ESTONIAN__ESTONIA: this.strCodeValue =EnumCV_Languages.ESTONIAN__ESTONIA_et_EE.getValue(); break;
		case BASQUE: this.strCodeValue =EnumCV_Languages.BASQUE_eu.getValue(); break;
		case BASQUE__BASQUE: this.strCodeValue =EnumCV_Languages.BASQUE__BASQUE_eu_ES.getValue(); break;
		case FARSI: this.strCodeValue =EnumCV_Languages.FARSI_fa.getValue(); break;
		case FARSI__IRAN: this.strCodeValue =EnumCV_Languages.FARSI__IRAN_fa_IR.getValue(); break;
		case FINNISH: this.strCodeValue =EnumCV_Languages.FINNISH_fi.getValue(); break;
		case FINNISH__FINLAND: this.strCodeValue =EnumCV_Languages.FINNISH__FINLAND_fi_FI.getValue(); break;
		case FAROESE: this.strCodeValue =EnumCV_Languages.FAROESE_fo.getValue(); break;
		case FAROESE__FAROE_ISLANDS: this.strCodeValue =EnumCV_Languages.FAROESE__FAROE_ISLANDS_fo_FO.getValue(); break;
		case FRENCH: this.strCodeValue =EnumCV_Languages.FRENCH_fr.getValue(); break;
		case FRENCH__BELGIUM: this.strCodeValue =EnumCV_Languages.FRENCH__BELGIUM_fr_BE.getValue(); break;
		case FRENCH__CANADA: this.strCodeValue =EnumCV_Languages.FRENCH__CANADA_fr_CA.getValue(); break;
		case FRENCH__SWITZERLAND: this.strCodeValue =EnumCV_Languages.FRENCH__SWITZERLAND_fr_CH.getValue(); break;
		case FRENCH__FRANCE: this.strCodeValue =EnumCV_Languages.FRENCH__FRANCE_fr_FR.getValue(); break;
		case FRENCH__LUXEMBOURG: this.strCodeValue =EnumCV_Languages.FRENCH__LUXEMBOURG_fr_LU.getValue(); break;
		case FRENCH__MONACO: this.strCodeValue =EnumCV_Languages.FRENCH__MONACO_fr_MC.getValue(); break;
		case GALICIAN: this.strCodeValue =EnumCV_Languages.GALICIAN_gl.getValue(); break;
		case GALICIAN__GALICIAN: this.strCodeValue =EnumCV_Languages.GALICIAN__GALICIAN_gl_ES.getValue(); break;
		case GUJARATI: this.strCodeValue =EnumCV_Languages.GUJARATI_gu.getValue(); break;
		case GUJARATI__INDIA: this.strCodeValue =EnumCV_Languages.GUJARATI__INDIA_gu_IN.getValue(); break;
		case HEBREW: this.strCodeValue =EnumCV_Languages.HEBREW_he.getValue(); break;
		case HEBREW__ISRAEL: this.strCodeValue =EnumCV_Languages.HEBREW__ISRAEL_he_IL.getValue(); break;
		case HINDI: this.strCodeValue =EnumCV_Languages.HINDI_hi.getValue(); break;
		case HINDI__INDIA: this.strCodeValue =EnumCV_Languages.HINDI__INDIA_hi_IN.getValue(); break;
		case CROATIAN: this.strCodeValue =EnumCV_Languages.CROATIAN_hr.getValue(); break;
		case CROATIAN__CROATIA: this.strCodeValue =EnumCV_Languages.CROATIAN__CROATIA_hr_HR.getValue(); break;
		case HUNGARIAN: this.strCodeValue =EnumCV_Languages.HUNGARIAN_hu.getValue(); break;
		case HUNGARIAN__HUNGARY: this.strCodeValue =EnumCV_Languages.HUNGARIAN__HUNGARY_hu_HU.getValue(); break;
		case ARMENIAN: this.strCodeValue =EnumCV_Languages.ARMENIAN_hy.getValue(); break;
		case ARMENIAN__ARMENIA: this.strCodeValue =EnumCV_Languages.ARMENIAN__ARMENIA_hy_AM.getValue(); break;
		case INDONESIAN: this.strCodeValue =EnumCV_Languages.INDONESIAN_id.getValue(); break;
		case INDONESIAN__INDONESIA: this.strCodeValue =EnumCV_Languages.INDONESIAN__INDONESIA_id_ID.getValue(); break;
		case ICELANDIC: this.strCodeValue =EnumCV_Languages.ICELANDIC_is.getValue(); break;
		case ICELANDIC__ICELAND: this.strCodeValue =EnumCV_Languages.ICELANDIC__ICELAND_is_IS.getValue(); break;
		case ITALIAN: this.strCodeValue =EnumCV_Languages.ITALIAN_it.getValue(); break;
		case ITALIAN__SWITZERLAND: this.strCodeValue =EnumCV_Languages.ITALIAN_SWITZERLAND_it_CHItalian.getValue(); break;
		case ITALIAN__ITALY: this.strCodeValue =EnumCV_Languages.ITALIAN__ITALY_it_IT.getValue(); break;
		case JAPANESE: this.strCodeValue =EnumCV_Languages.JAPANESE_ja.getValue(); break;
		case JAPANESE__JAPAN: this.strCodeValue =EnumCV_Languages.JAPANESE__JAPAN_ja_JP.getValue(); break;
		case GEORGIAN: this.strCodeValue =EnumCV_Languages.GEORGIAN_ka.getValue(); break;
		case GEORGIAN__GEORGIA: this.strCodeValue =EnumCV_Languages.GEORGIAN__GEORGIA_ka_GE.getValue(); break;
		case KAZAKH: this.strCodeValue =EnumCV_Languages.KAZAKH_kk.getValue(); break;
		case KAZAKH__KAZAKHSTAN: this.strCodeValue =EnumCV_Languages.KAZAKH__KAZAKHSTAN_kk_KZ.getValue(); break;
		case KANNADA: this.strCodeValue =EnumCV_Languages.KANNADA_kn.getValue(); break;
		case KANNADA__INDIA: this.strCodeValue =EnumCV_Languages.KANNADA__INDIA_kn_IN.getValue(); break;
		case KOREAN: this.strCodeValue =EnumCV_Languages.KOREAN_ko.getValue(); break;
		case KONKANI: this.strCodeValue =EnumCV_Languages.KONKANI_kok.getValue(); break;
		case KONKANI__INDIA: this.strCodeValue =EnumCV_Languages.KONKANI__INDIA_kok_IN.getValue(); break;
		case KOREAN__KOREA: this.strCodeValue =EnumCV_Languages.KOREAN__KOREA_ko_KR.getValue(); break;
		case KYRGYZ: this.strCodeValue =EnumCV_Languages.KYRGYZ_ky.getValue(); break;
		case KYRGYZ__KYRGYZSTAN: this.strCodeValue =EnumCV_Languages.KYRGYZ__KYRGYZSTAN_ky_KG.getValue(); break;
		case LITHUANIAN: this.strCodeValue =EnumCV_Languages.LITHUANIAN_lt.getValue(); break;
		case LITHUANIAN__LITHUANIA: this.strCodeValue =EnumCV_Languages.LITHUANIAN__LITHUANIA_lt_LT.getValue(); break;
		case LATVIAN: this.strCodeValue =EnumCV_Languages.LATVIAN_lv.getValue(); break;
		case LATVIAN__LATVIA: this.strCodeValue =EnumCV_Languages.LATVIAN__LATVIA_lv_LV.getValue(); break;
		case MACEDONIAN: this.strCodeValue =EnumCV_Languages.MACEDONIAN_mk.getValue(); break;
		case MACEDONIAN__FORMER_YUGOSLAV_REPUBLIC_OF_MACEDONIA: this.strCodeValue =EnumCV_Languages.MACEDONIAN__FORMER_YUGOSLAV_REPUBLIC_OF_MACEDONIA_mk_MK.getValue(); break;
		case MONGOLIAN: this.strCodeValue =EnumCV_Languages.MONGOLIAN_mn.getValue(); break;
		case MONGOLIAN__MONGOLIA: this.strCodeValue =EnumCV_Languages.MONGOLIAN__MONGOLIA_mn_MN.getValue(); break;
		case MARATHI: this.strCodeValue =EnumCV_Languages.MARATHI_mr.getValue(); break;
		case MARATHI__INDIA: this.strCodeValue =EnumCV_Languages.MARATHI__INDIA_mr_IN.getValue(); break;
		case MALAY: this.strCodeValue =EnumCV_Languages.MALAY_ms.getValue(); break;
		case MALAY__BRUNEI: this.strCodeValue =EnumCV_Languages.MALAY__BRUNEI_ms_BN.getValue(); break;
		case MALAY__MALAYSIA: this.strCodeValue =EnumCV_Languages.MALAY__MALAYSIA_ms_MY.getValue(); break;
		case NORWEGIAN_BOKML__NORWAY: this.strCodeValue =EnumCV_Languages.NORWEGIAN_BOKML__NORWAY_nb_NO.getValue(); break;
		case DUTCH: this.strCodeValue =EnumCV_Languages.DUTCH_nl.getValue(); break;
		case DUTCH__BELGIUM: this.strCodeValue =EnumCV_Languages.DUTCH__BELGIUM_nl_BE.getValue(); break;
		case DUTCH__THE_NETHERLANDS: this.strCodeValue =EnumCV_Languages.DUTCH__THE_NETHERLANDS_nl_NL.getValue(); break;
		case NORWEGIAN_NYNORSK__NORWAY: this.strCodeValue =EnumCV_Languages.NORWEGIAN_NYNORSK__NORWAY_nn_NO.getValue(); break;
		case NORWEGIAN: this.strCodeValue =EnumCV_Languages.NORWEGIAN_no.getValue(); break;
		case PUNJABI: this.strCodeValue =EnumCV_Languages.PUNJABI_pa.getValue(); break;
		case PUNJABI__INDIA: this.strCodeValue =EnumCV_Languages.PUNJABI__INDIA_pa_IN.getValue(); break;
		case POLISH: this.strCodeValue =EnumCV_Languages.POLISH_pl.getValue(); break;
		case POLISH__POLAND: this.strCodeValue =EnumCV_Languages.POLISH__POLAND_pl_PL.getValue(); break;
		case PORTUGUESE: this.strCodeValue =EnumCV_Languages.PORTUGUESE_pt.getValue(); break;
		case PORTUGUESE__BRAZIL: this.strCodeValue =EnumCV_Languages.PORTUGUESE__BRAZIL_pt_BR.getValue(); break;
		case PORTUGUESE__PORTUGAL: this.strCodeValue =EnumCV_Languages.PORTUGUESE__PORTUGAL_pt_PT.getValue(); break;
		case ROMANIAN: this.strCodeValue =EnumCV_Languages.ROMANIAN_ro.getValue(); break;
		case ROMANIAN__ROMANIA: this.strCodeValue =EnumCV_Languages.ROMANIAN__ROMANIA_ro_RO.getValue(); break;
		case RUSSIAN: this.strCodeValue =EnumCV_Languages.RUSSIAN_ru.getValue(); break;
		case RUSSIAN__RUSSIA: this.strCodeValue =EnumCV_Languages.RUSSIAN__RUSSIA_ru_RU.getValue(); break;
		case SANSKRIT: this.strCodeValue =EnumCV_Languages.SANSKRIT_sa.getValue(); break;
		case SANSKRIT__INDIA: this.strCodeValue =EnumCV_Languages.SANSKRIT__INDIA_sa_IN.getValue(); break;
		case SLOVAK: this.strCodeValue =EnumCV_Languages.SLOVAK_sk.getValue(); break;
		case SLOVAK__SLOVAKIA: this.strCodeValue =EnumCV_Languages.SLOVAK__SLOVAKIA_sk_SK.getValue(); break;
		case SLOVENIAN: this.strCodeValue =EnumCV_Languages.SLOVENIAN_sl.getValue(); break;
		case SLOVENIAN__SLOVENIA: this.strCodeValue =EnumCV_Languages.SLOVENIAN__SLOVENIA_sl_SI.getValue(); break;
		case ALBANIAN: this.strCodeValue =EnumCV_Languages.ALBANIAN_sq.getValue(); break;
		case ALBANIAN__ALBANIA: this.strCodeValue =EnumCV_Languages.ALBANIAN__ALBANIA_sq_AL.getValue(); break;
		case SERBIAN_CYRILLIC__SERBIA: this.strCodeValue =EnumCV_Languages.SERBIAN_CYRILLIC__SERBIA_sr_SP_Cyrl.getValue(); break;
		case SERBIAN_LATIN__SERBIA: this.strCodeValue =EnumCV_Languages.SERBIAN_LATIN__SERBIA_sr_SP_Latn.getValue(); break;
		case SWEDISH: this.strCodeValue =EnumCV_Languages.SWEDISH_sv.getValue(); break;
		case SWEDISH__FINLAND: this.strCodeValue =EnumCV_Languages.SWEDISH__FINLAND_sv_FI.getValue(); break;
		case SWEDISH__SWEDEN: this.strCodeValue =EnumCV_Languages.SWEDISH__SWEDEN_sv_SE.getValue(); break;
		case SWAHILI: this.strCodeValue =EnumCV_Languages.SWAHILI_sw.getValue(); break;
		case SWAHILI__KENYA: this.strCodeValue =EnumCV_Languages.SWAHILI__KENYA_sw_KE.getValue(); break;
		case SYRIAC: this.strCodeValue =EnumCV_Languages.SYRIAC_syr.getValue(); break;
		case SYRIAC__SYRIA: this.strCodeValue =EnumCV_Languages.SYRIAC__SYRIA_syr_SY.getValue(); break;
		case TAMIL: this.strCodeValue =EnumCV_Languages.TAMIL_ta.getValue(); break;
		case TAMIL__INDIA: this.strCodeValue =EnumCV_Languages.TAMIL__INDIA_ta_IN.getValue(); break;
		case TELUGU: this.strCodeValue =EnumCV_Languages.TELUGU_te.getValue(); break;
		case TELUGU__INDIA: this.strCodeValue =EnumCV_Languages.TELUGU__INDIA_te_IN.getValue(); break;
		case THAI: this.strCodeValue =EnumCV_Languages.THAI_th.getValue(); break;
		case THAI__THAILAND: this.strCodeValue =EnumCV_Languages.THAI__THAILAND_th_TH.getValue(); break;
		case TURKISH: this.strCodeValue =EnumCV_Languages.TURKISH_tr.getValue(); break;
		case TURKISH__TURKEY: this.strCodeValue =EnumCV_Languages.TURKISH__TURKEY_tr_TR.getValue(); break;
		case TATAR: this.strCodeValue =EnumCV_Languages.TATAR_tt.getValue(); break;
		case TATAR__RUSSIA: this.strCodeValue =EnumCV_Languages.TATAR__RUSSIA_tt_RU.getValue(); break;
		case UKRAINIAN: this.strCodeValue =EnumCV_Languages.UKRAINIAN_uk.getValue(); break;
		case UKRAINIAN__UKRAINE: this.strCodeValue =EnumCV_Languages.UKRAINIAN__UKRAINE_uk_UA.getValue(); break;
		case URDU: this.strCodeValue =EnumCV_Languages.URDU_ur.getValue(); break;
		case URDU__PAKISTAN: this.strCodeValue =EnumCV_Languages.URDU__PAKISTAN_ur_PK.getValue(); break;
		case UZBEK: this.strCodeValue =EnumCV_Languages.UZBEK_uz.getValue(); break;
		case UZBEK_CYRILLIC__UZBEKISTAN: this.strCodeValue =EnumCV_Languages.UZBEK_CYRILLIC__UZBEKISTAN_uz_UZ_Cyrl.getValue(); break;
		case UZBEK_LATIN__UZBEKISTAN: this.strCodeValue =EnumCV_Languages.UZBEK_LATIN__UZBEKISTAN_uz_UZ_Latn.getValue(); break;
		case VIETNAMESE: this.strCodeValue =EnumCV_Languages.VIETNAMESE_vi.getValue(); break;
		case CHINESE_TRADITIONAL: this.strCodeValue =EnumCV_Languages.CHINESE_TRADITIONAL_zh_CHT.getValue(); break;
		case CHINESE_SIMPLIFIED: this.strCodeValue =EnumCV_Languages.CHINESE_SIMPLIFIED_zh_CHS.getValue(); break;
		case CHINESE__CHINA: this.strCodeValue =EnumCV_Languages.CHINESE__CHINA_zh_CN.getValue(); break;
		case CHINESE__HONG_KONG_SAR: this.strCodeValue =EnumCV_Languages.CHINESE__HONG_KONG_SAR_zh_HK.getValue(); break;
		case CHINESE__MACAO_SAR: this.strCodeValue =EnumCV_Languages.CHINESE__MACAO_SAR_zh_MO.getValue(); break;
		case CHINESE__SINGAPORE: this.strCodeValue =EnumCV_Languages.CHINESE__SINGAPORE_zh_SG.getValue(); break;
		case CHINESE__TAIWAN: this.strCodeValue =EnumCV_Languages.CHINESE__TAIWAN_zh_TW.getValue(); break;
		}
	}

	/**
	 * Sets the value for Languages
	 * @param enumLanguages Object of EnumCM_Languages.
	 */
	public void setLanguages(EnumCM_Languages enumLanguages)
	{
		/**
		 * Retrieves the value for CodingSchemeDesignator, CodingSchemeVersion and Code Meaning and 
		 * sets the Code Value according to Code Meaning.
		 */
		this.strCodeMeaning = enumLanguages.getValue();
		this.strCodingSchemeDesignator = EnumCodingSchemeDesignator.IETF4646.getValue();
		
		/**
		 * set code Value
		 */
		setCodeValue(enumLanguages);
	}
}